API server
https://app.coolify.io/api/v1Update multiple envs by database UUID.
Authorization
bearerAuth AuthorizationBearer <token>
Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.
In: header
Path Parameters
uuid*string
UUID of the database.
Request Body
application/json
Bulk envs updated.
TypeScript Definitions
Use the request body type in TypeScript.
data*array<>
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://app.coolify.io/api/v1/databases/string/envs/bulk" \ -H "Content-Type: application/json" \ -d '{ "data": [ {} ] }'[ { "id": 0, "uuid": "string", "resourceable_type": "string", "resourceable_id": 0, "is_literal": true, "is_multiline": true, "is_preview": true, "is_runtime": true, "is_buildtime": true, "is_shared": true, "is_shown_once": true, "key": "string", "value": "string", "real_value": "string", "comment": "string", "version": "string", "created_at": "string", "updated_at": "string" }]{ "message": "Invalid token."}{ "message": "Unauthenticated."}{ "message": "Resource not found."}{ "message": "Validation error.", "errors": { "name": [ "The name field is required." ], "api_url": [ "The api url field is required.", "The api url format is invalid." ] }}